SECTION = "libs"
DESCRIPTION = "libfann, Fast Artificial Neural Network Library is a free open source neural network library, which implements multilayer artificial neural networks in C with support for both fully connected and sparsely connected networks."
LICENSE = "GNU"
PR = "r1"

SRC_URI = "http://softlayer.dl.sourceforge.net/sourceforge/fann/fann-${PV}.tar.gz"

S = "${WORKDIR}/fann-${PV}"

inherit autotools pkgconfig

do_stage () {
        oe_libinstall -a -so -C src libfann ${STAGING_LIBDIR}

        install -d ${STAGING_INCDIR}/fann
        (cd ${S}/src/include; cp compat_time.h config.h doublefann.h fann.h fann_activation.h fann_cascade.h fann_data.h fann_error.h fann_internal.h fann_io.h fann_train.h fixedfann.h floatfann.h ${STAGING_INCDIR}/fann/)
        install -m 0644 ${S}/aclocal.m4 ${STAGING_DATADIR}/aclocal/
}
